Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
Bluster

AE cho hỏi trích mặt bằng??

Các bài được khuyến nghị

Chào AE!

 

Mình đang có 1 file CAD tổng mặt bằng rất lớn. Cho mình hỏi có cách nào hay lấy đc 1 vùng đát hình chữ nhật trong tổng mặt bằng đấy không? Hiện nay mình đang định khoang vùng cần lấy rồi del vùng thừa. Cách này ko tiện lợi tí nào. Cảm ơn đã đọc

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Chào AE!

 

Mình đang có 1 file CAD tổng mặt bằng rất lớn. Cho mình hỏi có cách nào hay lấy đc 1 vùng đát hình chữ nhật trong tổng mặt bằng đấy không? Hiện nay mình đang định khoang vùng cần lấy rồi del vùng thừa. Cách này ko tiện lợi tí nào. Cảm ơn đã đọc

Có cách làm đơn giản thôi, anh chịu khó đọc bài viết này:

http://www.cadviet.com/forum/index.php?showtopic=347

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Có cách làm đơn giản thôi, anh chịu khó đọc bài viết này:

http://www.cadviet.com/forum/index.php?showtopic=347

 

Layout thì mình biết nhưng mình đang muốn làm trên không gian model vì mình còn thiết kế trên mặt bằng đó nữa. Cảm ơn ý kiến của bạn

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cám ơn bạn đã nhiệt tình. Mình đã đọc bài viết bạn dẫn link nhưng hình như cũng chưa giải quyết đc vấn đề của mình. Mình đưa file cad ở đây. Mong bạn nào có thể lấy ra vùng trong hình chữ nhật 1 cách tiện lợi nhất

 

http://www.mediafire.com/download.php?8olir2p5wo95msz

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Thì bác chọn tất cả,rồi biến nó thành 1 block,rồi dùng xclip để trích xuất ra vùng HCN đó.Nếu không muốn block thì mình nghĩ đào sâu vào cách cũ là khoanh vùng,dùng extrim cắt bên ngoài đi,dùng fast select chọn tất cả đối tượng bên trong rồi move ra 1 chỗ khác để xử lý,cũng có lâu lắm đâu,30s cho 1 hình thui mà ^^

(PS : Thậm chí có lisp xóa toàn bộ đối tượng ngoài vùng trích xuất sau khi extrim,khéo 1 phát chỉ mất 5s là bác có vùng chữ nhật riêng biệt bác ạ :lol: )

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Thì bác chọn tất cả,rồi biến nó thành 1 block,rồi dùng xclip để trích xuất ra vùng HCN đó.Nếu không muốn block thì mình nghĩ đào sâu vào cách cũ là khoanh vùng,dùng extrim cắt bên ngoài đi,dùng fast select chọn tất cả đối tượng bên trong rồi move ra 1 chỗ khác để xử lý,cũng có lâu lắm đâu,30s cho 1 hình thui mà ^^

(PS : Thậm chí có lisp xóa toàn bộ đối tượng ngoài vùng trích xuất sau khi extrim,khéo 1 phát chỉ mất 5s là bác có vùng chữ nhật riêng biệt bác ạ :lol: )

 

thanks.Cái xclip hình như chỉ là làm ẩn đi vùng xung quanh thôi. Còn FS chọn vùng giao với hình CN mình chọn. Cũng là tiện lợi lên rồi ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Vâng.xclip chính là để ẩn vùng xung quanh đi

Gói gọn lại trong 2 bước thôi bác ạ.Nhưng làm trên bản copy,hoặc save as ra chỗ khác,vì mỗi lần làm với 1 vùng

1.Chọn đường biên bao vùng cần trích xuất -> extrim để tách rời khung ra

2.Quét từ trái sang phải cả vùng khoanh đó.

Hoặc trong trường hợp vùng bao không phải là HCN đơn thuần thì :

2.Đánh lệnh xóa toàn bộ các đối tượng ngoài đường bao đó ra,e gửi kèm lisp đây.Lệnh OD

(defun C:OD (  / en ss lst ssall bbox tmp head)
;_Required Express tools
;_OutSide Contour Delete
(vl-load-com)
 (if (null ACET-GEOM-OBJECT-POINT-LIST)
   (progn
     (alert "Chuong trinh can Express tools!!!")
     (exit)
     )
   )
 (if (and (setq en (car(entsel "\nChon duong bien: ")))
          (wcmatch (cdr(assoc 0 (entget en))) "*POLYLINE,CIRCLE,ELLIPSE,SPLINE"))
   (progn
     (setq bbox (ACET-ENT-GEOMEXTENTS en))
     (setq bbox (mapcar '(lambda(x)(trans x 0 1)) bbox))
     (setq lst (ACET-GEOM-OBJECT-POINT-LIST en 1e-6))
     (while lst
       (setq head (car lst)
         tmp (cons head tmp)
         lst (vl-remove-if '(lambda(pt)(equal pt head 1e-3))(cdr lst))
         )
       )
     (setq lst (reverse tmp))
     (ACET-SS-ZOOM-EXTENTS (ACET-LIST-TO-SS (list en)))
     (command "_.Zoom" "0.95x")
     (if (and
           (setq ss (ssget "_CP" lst))
           (setq ssall (ssget "_X" (list (assoc 410 (entget en)))))
          )
       (progn
         (setq tmp '-1)
         (repeat (sslength ss)
           (ssdel (ssname ss (setq tmp (1+ tmp))) ssall)
           )
        ;;; (ACET-SS-ENTDEL ssall)
  (command "_.ERASE" ssall "")
         )
       )
     )
   )
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Chào AE!

 

Mình đang có 1 file CAD tổng mặt bằng rất lớn. Cho mình hỏi có cách nào hay lấy đc 1 vùng đát hình chữ nhật trong tổng mặt bằng đấy không? Hiện nay mình đang định khoang vùng cần lấy rồi del vùng thừa. Cách này ko tiện lợi tí nào. Cảm ơn đã đọc

Chào Bluster,

Lisp này mình viet đã lâu, bạn có thể trích đo bằng hình vuông, hình chữ nhật, hình tròn. Thiep định phát triển thêm các hình khác như ellípe, đa giác... nhưng bận quá chưa tiếp tục được

http://www.cadviet.com/upfiles/3/trichbd.lsp

Sau khi tạo hinh xong, user rê hinh này vào khu vực cần trích thửa, nó sẽ copy các đối tượng bên trong và giao với hinh (giống như 1 nam châm). Sau đó, user rê các đối tượng này đến vị trí cần đặt, ví dụ đặt ở giữa bản vẽ TRÍCH ĐO ĐỊA CHÍNH THỬA ĐẤT. Lisp sẽ cắt bỏ những đường bên ngoài.

Bạn có thể vào đây để tham khảo thêm:

http://www.cadviet.com/forum/index.php?s=&...ost&p=74050

Bạn nên post đúng vào mục VIẾT LISP TEO YÊU CẦU để mọi người dễ theo dõi.

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chào Bluster,

Lisp này mình viet đã lâu, bạn có thể trích đo bằng hình vuông, hình chữ nhật, hình tròn. Thiep định phát triển thêm các hình khác như ellípe, đa giác... nhưng bận quá chưa tiếp tục được

http://www.cadviet.c...s/3/trichbd.lsp

Sau khi tạo hinh xong, user rê hinh này vào khu vực cần trích thửa, nó sẽ copy các đối tượng bên trong và giao với hinh (giống như 1 nam châm). Sau đó, user rê các đối tượng này đến vị trí cần đặt, ví dụ đặt ở giữa bản vẽ TRÍCH ĐO ĐỊA CHÍNH THỬA ĐẤT. Lisp sẽ cắt bỏ những đường bên ngoài.

Bạn có thể vào đây để tham khảo thêm:

http://www.cadviet.com/forum/index.php?s=&...ost&p=74050

Bạn nên post đúng vào mục VIẾT LISP TEO YÊU CẦU để mọi người dễ theo dõi.

bạn Thiệp chỉnh sửa khâu nhập kích thước khung nhìn thành select object mà không phải tính chiều dài với chiều cao khung nhìn thì hay quá, thanks :D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×